## kf6-kwindowsystem 6.19.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
project(KWindowSystem VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.19.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakeFindFrameworks)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMPoQmTools)
include(ECMGeneratePkgConfigFile)
include(ECMQmlModule)
include(ECMGenerateQDoc)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(kwindowsystem_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kwindowsystem_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KWINDOWSYSTEM
                        VERSION_HEADER "${kwindowsystem_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6WindowSystemConfigVersion.cmake"
                        SOVERSION 6)

# Dependencies
set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6Gui ${REQUIRED_QT_VERSION} CONFIG REQUIRED)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

option(KWINDOWSYSTEM_QML "Build QML bindings" ON)

if (KWINDOWSYSTEM_QML)
    find_package(Qt6Qml ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
endif()

option(KWINDOWSYSTEM_X11 "Build X11 support" ON)
option(KWINDOWSYSTEM_WAYLAND "Build Wayland support" ON)

if (WIN32 OR APPLE OR ANDROID OR HAIKU)
    set(KWINDOWSYSTEM_X11 OFF)
    set(KWINDOWSYSTEM_WAYLAND OFF)
endif()

if (KWINDOWSYSTEM_X11)
    find_package(X11 REQUIRED)
    find_package(XCB COMPONENTS REQUIRED XCB KEYSYMS RES ICCCM)
endif()

if (KWINDOWSYSTEM_WAYLAND)
    find_package(Qt6WaylandClient ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
    find_package(WaylandProtocols 1.21 REQUIRED)
    find_package(PlasmaWaylandProtocols REQUIRED)
    check_cxx_source_compiles("
        #include <fcntl.h>
        #include <sys/mman.h>
        #include <unistd.h>

        int main() {
            const int size = 10;
            int fd = memfd_create(\"test\", MFD_CLOEXEC | MFD_ALLOW_SEALING);
            ftruncate(fd, size);
            fcntl(fd, F_ADD_SEALS, F_SEAL_SHRINK | F_SEAL_SEAL);
            mmap(nullptr, size, PROT_WRITE, MAP_SHARED, fd, 0);
            return 0;
        }" HAVE_MEMFD)
endif()

set(KWINDOWSYSTEM_HAVE_X11 ${KWINDOWSYSTEM_X11})

# Subdirectories
ecm_install_po_files_as_qm(poqm)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6WindowSystem")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6WindowSystemConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6WindowSystemConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6WindowSystemConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6WindowSystemConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF6WindowSystemTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6WindowSystemTargets.cmake NAMESPACE KF6:: )


install(FILES ${kwindowsystem_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KWindowSystem COMPONENT Devel )

if (NOT WIN32)
    ecm_generate_pkgconfig_file(BASE_NAME KF6WindowSystem
      INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KWindowSystem
      DEPS Qt6Gui
    INSTALL)
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
configure_file(config-kwindowsystem.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kwindowsystem.h )

add_library(KF6WindowSystem)
add_library(KF6::WindowSystem ALIAS KF6WindowSystem)

ecm_generate_qdoc(KF6WindowSystem kwindowsystem.qdocconf)

qt_extract_metatypes(KF6WindowSystem)

set_target_properties(KF6WindowSystem PROPERTIES
    VERSION     ${KWINDOWSYSTEM_VERSION}
    SOVERSION   ${KWINDOWSYSTEM_SOVERSION}
    EXPORT_NAME WindowSystem
)

ecm_create_qm_loader(KF6WindowSystem kwindowsystem6_qt)

target_sources(KF6WindowSystem PRIVATE
    kwindoweffects.cpp
    kwindoweffects_dummy.cpp
    kwindowshadow.cpp
    kwindowsystem.cpp
    pluginwrapper.cpp
    kwindowsystemplugininterface.cpp
    )
ecm_qt_declare_logging_category(KF6WindowSystem
    HEADER kwindowsystem_debug.h
    IDENTIFIER LOG_KWINDOWSYSTEM
    CATEGORY_NAME kf.windowsystem
    OLD_CATEGORY_NAMES org.kde.kwindowsystem
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KWindowSystem"
    EXPORT KWINDOWSYSTEM
)

if (KWINDOWSYSTEM_X11)
   target_include_directories(KF6WindowSystem
        PRIVATE
            ${CMAKE_CURRENT_SOURCE_DIR}/platforms/xcb
   )

   target_link_libraries(KF6WindowSystem
        PUBLIC
            # public because they are used in kkeyserver_x11.h
            X11::X11
        PRIVATE
            XCB::XCB
            XCB::RES
            X11::Xfixes
            XCB::KEYSYMS
            Qt6::GuiPrivate # qtx11extras_p.h
   )

   ecm_qt_declare_logging_category(KF6WindowSystem
        HEADER kwindowsystem_xcb_debug.h
        IDENTIFIER LOG_KKEYSERVER_X11
        CATEGORY_NAME kf.windowsystem.keyserver.x11
        DEFAULT_SEVERITY Warning
    )

   target_sources(KF6WindowSystem PRIVATE
        platforms/xcb/kselectionowner.cpp
        platforms/xcb/kselectionwatcher.cpp
        platforms/xcb/kxmessages.cpp
        platforms/xcb/kxutils.cpp
        platforms/xcb/netwm.cpp
        kkeyserver.cpp
        kx11extras.cpp
        kstartupinfo.cpp
        kusertimestamp.cpp
        kxerrorhandler.cpp
        kwindowinfo.cpp
   )

   # we install kkeyserver_x11.h which needs the X11 headers available
   # if we don't add the include path here code that includes kkeyserver.h will fail
   # to compile unless X11 is installed in /usr/include
   target_include_directories(KF6WindowSystem PUBLIC ${XCB_XCB_INCLUDE_DIR})
endif ()

if (KWINDOWSYSTEM_WAYLAND)
    target_sources(KF6WindowSystem PRIVATE kwaylandextras.cpp)
endif()

ecm_generate_export_header(KF6WindowSystem
    BASE_NAME KWindowSystem
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 6.0 6.19
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6WindowSystem INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KWindowSystem>")

target_link_libraries(KF6WindowSystem
    PUBLIC Qt6::Gui
)

ecm_generate_headers(KWindowSystem_HEADERS
  HEADER_NAMES
  KWindowEffects
  KWindowShadow,KWindowShadowTile
  KWindowSystem

  REQUIRED_HEADERS KWindowSystem_HEADERS
)

if (KWINDOWSYSTEM_X11)
    ecm_generate_headers(KWindowSystem_HEADERS
    HEADER_NAMES
    KX11Extras
    KStartupInfo
    KUserTimestamp
    KKeyServer
    KWindowInfo

    REQUIRED_HEADERS KWindowSystem_HEADERS
    )
endif()

if (KWINDOWSYSTEM_WAYLAND)
    ecm_generate_headers(KWindowSystem_HEADERS
        HEADER_NAMES
        KWaylandExtras

        REQUIRED_HEADERS KWindowSystem_HEADERS
    )
endif()

install(TARGETS KF6WindowSystem EXPORT KF6WindowSystemTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  # FIXME: It seems odd to install this.
  ${CMAKE_CURRENT_BINARY_DIR}/config-kwindowsystem.h
  ${CMAKE_CURRENT_BINARY_DIR}/kwindowsystem_export.h
  ${KWindowSystem_HEADERS}
  netwm_def.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KWindowSystem COMPONENT Devel
)

install(
    FILES
        kwindoweffects_p.h
        kwindowshadow_p.h
        kwindowsystem_p.h
        kwindowsystemplugininterface_p.h
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR_KF}/KWindowSystem/private
    COMPONENT
        Devel
)

add_subdirectory(platforms)

if(KWINDOWSYSTEM_QML)
    add_subdirectory(qml)
endif()

ecm_qt_install_logging_categories(
    EXPORT KWINDOWSYSTEM
    FILE kwindowsystem.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== src/platforms/CMakeLists.txt ===
if(KWINDOWSYSTEM_X11)
    add_subdirectory(xcb)
endif()
if(KWINDOWSYSTEM_WAYLAND)
    add_subdirectory(wayland)
endif()

=== debian/changelog ===
kf6-kwindowsystem (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:08:21 +0100

=== debian/control ===
Source: kf6-kwindowsystem
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libx11-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-res0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxfixes-dev,
               libxkbcommon-dev,
               libxrender-dev,
               pkgconf,
               plasma-wayland-protocols [linux-any],
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.5.0~) [linux-any],
               qt6-wayland-private-dev (>= 6.5.0~) [linux-any],
               wayland-protocols (>= 1.21~) [linux-any],
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kwindowsystem
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwindowsystem
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwindowsystem
Rules-Requires-Root: no

Package: libkf6windowsystem-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the translations.

Package: libkf6windowsystem-dev
Section: libdevel
Architecture: any
Depends: libkf6windowsystem6 (= ${binary:Version}),
         qml6-module-org-kde-kwindowsystem (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         qt6-declarative-dev (>= 6.5.0+dfsg~),
         qt6-wayland-dev (>= 6.5.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6windowsystem-doc (= ${source:Version}),
Description: development files for kwindowsystem
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 lowlevel classes.
 .
 Contains development files for kwindowsystem.

Package: libkf6windowsystem-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6windowsystem6
Architecture: any
Multi-Arch: same
Depends: libkf6windowsystem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qt6-wayland,
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.

Package: qml6-module-org-kde-kwindowsystem
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: QML module for kwindowsystem
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the QML module for kwindowsystem.

## kf6-kwindowsystem 6.19.0+p24.04+vstable+git20251015.0808

=== debian/changelog ===
kf6-kwindowsystem (6.19.0+p24.04+vstable+git20251015.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:08:24 +0000

kf6-kwindowsystem (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:12:25 +0000

kf6-kwindowsystem (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 23:09:44 +0000

kf6-kwindowsystem (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:32:30 +0000

kf6-kwindowsystem (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:47:07 +0000

kf6-kwindowsystem (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:06:03 +0000

kf6-kwindowsystem (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:48:11 +0000

kf6-kwindowsystem (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:13:58 +0000

kf6-kwindowsystem (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:16:39 +0000

kf6-kwindowsystem (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:40:43 +0000

kf6-kwindowsystem (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:22:46 +0000

kf6-kwindowsystem (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:41:54 +0000

kf6-kwindowsystem (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:44:49 +0000

kf6-kwindowsystem (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:39:02 +0000

kf6-kwindowsystem (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:47:21 +0000

kf6-kwindowsystem (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Aug 2024 23:02:25 +0000

kf6-kwindowsystem (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:48:05 +0000

kf6-kwindowsystem (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:34:34 +1000

kf6-kwindowsystem (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:05:01 +0000

kf6-kwindowsystem (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:28:49 +0000

kf6-kwindowsystem (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kwindowsystem (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kwindowsystem 6.19.0+p24.04+vstable+git20251019.0054

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 project(KWindowSystem VERSION ${KF_VERSION})
 
 # ECM setup
@@ -37,7 +37,7 @@
                         SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6Gui ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
 
 if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")

=== debian/changelog ===
kf6-kwindowsystem (6.19.0+p24.04+vstable+git20251019.0054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:54:29 +0000

=== debian/control ===
Source: kf6-kwindowsystem
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libwayland-dev,
               libx11-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-res0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxfixes-dev,
               libxkbcommon-dev,
               libxrender-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev,
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               wayland-protocols
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kwindowsystem
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kwindowsystem.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kwindowsystem
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kwindowsystem
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwayland-integration (<< 4:5.27.10)
Replaces: kwayland-integration (<< 4:5.27.10),
          libkf6windowsystem-data,
          libkf6windowsystem6
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the translations.

Package: kf6-kwindowsystem-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kwindowsystem (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-tools-dev,
         qt6-wayland-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kf6-kwindowsystem (= ${source:Version})
Replaces: libkf6windowsystem-dev, libkf6windowsystem-doc
Description: development files for kwindowsystem
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 lowlevel classes.
 .
 Contains development files for kwindowsystem.

Package: libkf6windowsystem6
Architecture: all
Depends: kf6-kwindowsystem, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6windowsystem-data
Architecture: all
Depends: kf6-kwindowsystem, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6windowsystem-dev
Architecture: all
Depends: kf6-kwindowsystem-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6windowsystem-doc
Architecture: all
Depends: kf6-kwindowsystem-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kwindowsystem 6.19.0+p24.04+vstable+git20251021.0522

=== debian/changelog ===
kf6-kwindowsystem (6.19.0+p24.04+vstable+git20251021.0522-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:22:24 +0000

## kf6-kwindowsystem 6.19.0+p24.04+vunstable+git20251015.0916

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
                         SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.8.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6Gui ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
 
 if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")

=== debian/changelog ===
kf6-kwindowsystem (6.19.0+p24.04+vunstable+git20251015.0916-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:16:16 +0000

## kf6-kwindowsystem 6.19.0+p24.04+vunstable+git20251020.0145

=== debian/changelog ===
kf6-kwindowsystem (6.19.0+p24.04+vunstable+git20251020.0145-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:45:42 +0000

## kf6-kwindowsystem 6.20.0

=== src/platforms/wayland/CMakeLists.txt ===
add_library(KF6WindowSystemKWaylandPlugin MODULE)
set(wayland_plugin_SRCS
    plugin.cpp
    shm.cpp
    windoweffects.cpp
    windowshadow.cpp
    windowsystem.cpp
    waylandxdgactivationv1.cpp
    waylandxdgdialogv1.cpp
    waylandxdgforeignv2.cpp
    plugin.h
    windoweffects.h
    windowshadow.h
    windowsystem.h
    waylandxdgactivationv1_p.h
)


if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt6_generate_wayland_protocol_client_sources(KF6WindowSystemKWaylandPlugin
    ${private_code_option}
    FILES
        ${WaylandProtocols_DATADIR}/staging/xdg-activation/xdg-activation-v1.xml
        ${WaylandProtocols_DATADIR}/unstable/xdg-foreign/xdg-foreign-unstable-v2.xml
        ${WaylandProtocols_DATADIR}/staging/xdg-dialog/xdg-dialog-v1.xml
        ${WaylandProtocols_DATADIR}/stable/xdg-shell/xdg-shell.xml
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/blur.xml
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/contrast.xml
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/slide.xml
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/plasma-window-management.xml
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/shadow.xml
        ${Wayland_DATADIR}/wayland.xml
)


ecm_qt_declare_logging_category(wayland_plugin_SRCS
    HEADER logging.h
    IDENTIFIER KWAYLAND_KWS
    CATEGORY_NAME kf.windowsystem.wayland
    OLD_CATEGORY_NAMES org.kde.kf5.kwindowsystem.kwayland
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KWindowSystem Wayland Plugin"
    EXPORT KWINDOWSYSTEM
)

target_sources(KF6WindowSystemKWaylandPlugin PRIVATE ${wayland_plugin_SRCS})

if(HAVE_MEMFD)
    target_compile_definitions(KF6WindowSystemKWaylandPlugin PRIVATE -DHAVE_MEMFD)
endif()


target_compile_options(KF6WindowSystemKWaylandPlugin PRIVATE -UQT_NO_KEYWORDS)

pkg_check_modules(XKBCommon REQUIRED IMPORTED_TARGET xkbcommon)

target_link_libraries(KF6WindowSystemKWaylandPlugin
    KF6WindowSystem
    Wayland::Client
    Qt::GuiPrivate
    Qt::WaylandClient
    PkgConfig::XKBCommon
)


install(
    TARGETS
        KF6WindowSystemKWaylandPlugin
    DESTINATION
        ${KDE_INSTALL_PLUGINDIR}/kf6/kwindowsystem/
)

=== debian/changelog ===
kf6-kwindowsystem (6.20.0-2) unstable; urgency=medium

  * Team upload.
  * Mark new symbols of Wayland-only classes as Linux-only.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Nov 2025 08:34:03 +0100

kf6-kwindowsystem (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.20.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:14:16 +0100

=== debian/control ===
Source: kf6-kwindowsystem
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libx11-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-res0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxfixes-dev,
               libxkbcommon-dev,
               libxrender-dev,
               pkgconf,
               plasma-wayland-protocols [linux-any],
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.8.0~) [linux-any],
               qt6-wayland-private-dev (>= 6.5.0~) [linux-any],
               wayland-protocols (>= 1.21~) [linux-any],
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kwindowsystem
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwindowsystem
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwindowsystem.git

Package: libkf6windowsystem-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the translations.

Package: libkf6windowsystem-dev
Section: libdevel
Architecture: any
Depends: libkf6windowsystem6 (= ${binary:Version}),
         qml6-module-org-kde-kwindowsystem (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         qt6-declarative-dev (>= 6.8.0~),
         qt6-wayland-dev (>= 6.8.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6windowsystem-doc (= ${source:Version}),
Description: development files for kwindowsystem
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 lowlevel classes.
 .
 Contains development files for kwindowsystem.

Package: libkf6windowsystem-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6windowsystem6
Architecture: any
Multi-Arch: same
Depends: libkf6windowsystem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qt6-wayland,
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.

Package: qml6-module-org-kde-kwindowsystem
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: QML module for kwindowsystem
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the QML module for kwindowsystem.

## kf6-kwindowsystem 6.20.0+p24.04+vunstable+git20251123.0016

=== debian/changelog ===
kf6-kwindowsystem (6.20.0+p24.04+vunstable+git20251123.0016-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 00:16:51 +0000

kf6-kwindowsystem (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:47 +1000

## kf6-kwindowsystem 6.20.0+p24.04+vunstable+git20251130.0319

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,16 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(KWindowSystem VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+set(CMAKE_AUTOUIC ON)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -37,7 +38,7 @@
                         SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6Gui ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
 
 if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")

=== debian/changelog ===
kf6-kwindowsystem (6.20.0+p24.04+vunstable+git20251130.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 03:19:21 +0000

## kf6-kwindowsystem 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kwindowsystem (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:53:55 +0000

kf6-kwindowsystem (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:16:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kwindowsystem
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -10,7 +11,7 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libx11-dev,
                libxcb-icccm4-dev,
                libxcb-keysyms1-dev,
@@ -22,17 +23,18 @@
                libxrender-dev,
                pkgconf,
                plasma-wayland-protocols [linux-any],
-               qt6-base-dev (>= 6.8.0~),
-               qt6-base-private-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
                qt6-wayland-dev (>= 6.8.0~) [linux-any],
-               qt6-wayland-private-dev (>= 6.5.0~) [linux-any],
+               qt6-wayland-private-dev (>= 6.8.0~) [linux-any],
                wayland-protocols (>= 1.21~) [linux-any],
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwindowsystem
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwindowsystem
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwindowsystem.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwindowsystem
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwindowsystem
+Rules-Requires-Root: no
 
 Package: libkf6windowsystem-data
 Architecture: all
@@ -51,8 +53,8 @@
 Architecture: any
 Depends: libkf6windowsystem6 (= ${binary:Version}),
          qml6-module-org-kde-kwindowsystem (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
-         qt6-declarative-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-declarative-dev (>= 6.8.0+dfsg~),
          qt6-wayland-dev (>= 6.8.0~) [linux-any],
          ${misc:Depends},
 Recommends: libkf6windowsystem-doc (= ${source:Version}),
@@ -93,9 +95,7 @@
 Package: qml6-module-org-kde-kwindowsystem
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module for kwindowsystem
  The class KWindowSystem provides information about the state of the
  window manager and allows asking the window manager to change them

## kf6-kwindowsystem 6.21.0+p24.04+vstable+git20251224.0607

=== debian/changelog ===
kf6-kwindowsystem (6.21.0+p24.04+vstable+git20251224.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:07:24 +0000

kf6-kwindowsystem (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:10:39 +1000

## kf6-kwindowsystem 6.21.0+p24.04+vstable+git20260102.1100

=== debian/changelog ===
kf6-kwindowsystem (6.21.0+p24.04+vstable+git20260102.1100-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:00:58 +0000

## kf6-kwindowsystem 6.21.0+p24.04+vstable+git20260103.0141

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(KWindowSystem VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -89,7 +89,7 @@
 ecm_install_po_files_as_qm(poqm)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-kwindowsystem (6.21.0+p24.04+vstable+git20260103.0141-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:41:53 +0000

## kf6-kwindowsystem 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(KWindowSystem VERSION ${KF_VERSION})
 
 # ECM setup

=== debian/changelog ===
kf6-kwindowsystem (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:33:14 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libx11-dev,
                libxcb-icccm4-dev,
                libxcb-keysyms1-dev,

## kf6-kwindowsystem 6.22.0+p24.04+vstable+git20260106.0724

=== debian/changelog ===
kf6-kwindowsystem (6.22.0+p24.04+vstable+git20260106.0724-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 07:24:52 +0000

kf6-kwindowsystem (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:42:01 +1000

## kf6-kwindowsystem 6.22.0+p24.04+vstable+git20260122.1233

=== debian/changelog ===
kf6-kwindowsystem (6.22.0+p24.04+vstable+git20260122.1233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:33:46 +0000

## kf6-kwindowsystem 6.22.0+p24.04+vstable+git20260126.0631

=== debian/changelog ===
kf6-kwindowsystem (6.22.0+p24.04+vstable+git20260126.0631-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 06:31:50 +0000

## kf6-kwindowsystem 6.22.0+p24.04+vunstable+git20260123.0214

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(KWindowSystem VERSION ${KF_VERSION})
 
 # ECM setup

=== debian/changelog ===
kf6-kwindowsystem (6.22.0+p24.04+vunstable+git20260123.0214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:14:46 +0000

## kf6-kwindowsystem 6.22.0+p24.04+vunstable+git20260129.0218

=== debian/changelog ===
kf6-kwindowsystem (6.22.0+p24.04+vunstable+git20260129.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:19:00 +0000

## kf6-kwindowsystem 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DAUTOTEST_BUILD_DIR="${CMAKE_CURRENT_BINARY_DIR}")

include(ECMMarkAsTest)
include(ECMAddTests)

set(ECM_TEST_NAME_PREFIX "kwindowsystem-")

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test Widgets)

add_subdirectory(helper)

macro(KWINDOWSYSTEM_UNIT_TESTS)
   foreach(_testname ${ARGN})
      set(libs KF6::WindowSystem Qt6::Test Qt6::Widgets Qt6::GuiPrivate)

      if (KWINDOWSYSTEM_X11)
         list(APPEND libs XCB::XCB XCB::KEYSYMS XCB::ICCCM)
      endif()

      ecm_add_test(${_testname}.cpp LINK_LIBRARIES ${libs} GUI)
   endforeach(_testname)
endmacro(KWINDOWSYSTEM_UNIT_TESTS)
macro(KWINDOWSYSTEM_EXECUTABLE_TESTS)
   foreach(_testname ${ARGN})
      add_executable(${_testname} ${_testname}.cpp)
      target_link_libraries(${_testname} KF6::WindowSystem Qt6::Test XCB::XCB Qt6::GuiPrivate)
      ecm_mark_as_test(${_testname})
   endforeach()
endmacro()

if(KWINDOWSYSTEM_X11)
    include_directories(${CMAKE_SOURCE_DIR}/src/platforms/xcb)
    kwindowsystem_unit_tests(
        kmanagerselectiontest
        kstartupinfo_unittest
        kxmessages_unittest
        kkeyserver_x11_unittest
    )

    kwindowsystem_unit_tests(
        kwindoweffectstest
        kwindowinfox11test
        kwindowsystemx11test
        kwindowsystem_threadtest
        netrootinfotestwm
        netwininfotestclient
        netwininfotestwm
        compositingenabled_test
    )
    
    kwindowsystem_executable_tests(
        fixx11h_test
        fixx11h_test2
        dontcrashmapviewport
    )
endif()

ecm_add_test(kwindowsystem_platform_wayland_test.cpp
    LINK_LIBRARIES KF6::WindowSystem Qt6::Test
    TEST_NAME kwindowsystemplatformwaylandtest
    GUI
)

=== debian/changelog ===
kf6-kwindowsystem (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.
  * Update symbols from build for 6.23.0.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 22:33:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: kf6-kwindowsystem
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
                libx11-dev,
                libxcb-icccm4-dev,
                libxcb-keysyms1-dev,
@@ -23,18 +21,17 @@
                libxrender-dev,
                pkgconf,
                plasma-wayland-protocols [linux-any],
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-base-private-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
                qt6-wayland-dev (>= 6.8.0~) [linux-any],
-               qt6-wayland-private-dev (>= 6.8.0~) [linux-any],
+               qt6-wayland-private-dev (>= 6.5.0~) [linux-any],
                wayland-protocols (>= 1.21~) [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/kwindowsystem
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwindowsystem
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwindowsystem
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwindowsystem
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwindowsystem.git
 
 Package: libkf6windowsystem-data
 Architecture: all
@@ -53,8 +50,8 @@
 Architecture: any
 Depends: libkf6windowsystem6 (= ${binary:Version}),
          qml6-module-org-kde-kwindowsystem (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
-         qt6-declarative-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
+         qt6-declarative-dev (>= 6.8.0~),
          qt6-wayland-dev (>= 6.8.0~) [linux-any],
          ${misc:Depends},
 Recommends: libkf6windowsystem-doc (= ${source:Version}),
@@ -95,7 +92,9 @@
 Package: qml6-module-org-kde-kwindowsystem
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: QML module for kwindowsystem
  The class KWindowSystem provides information about the state of the
  window manager and allows asking the window manager to change them
